commit:     bb5fecaf6d2eac58348ccf353a4930f0e147be88
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 31 05:22:10 2015 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Thu Dec 31 05:22:10 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb5fecaf

games-puzzle/construo: use default install

Package-Manager: portage-2.2.24

 games-puzzle/construo/construo-0.2.2.ebuild | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/games-puzzle/construo/construo-0.2.2.ebuild 
b/games-puzzle/construo/construo-0.2.2.ebuild
index 07653eb..0f8df9f 100644
--- a/games-puzzle/construo/construo-0.2.2.ebuild
+++ b/games-puzzle/construo/construo-0.2.2.ebuild
@@ -22,8 +22,10 @@ DEPEND="${RDEPEND}
        x11-proto/xf86vidmodeproto"
 
 src_prepare() {
-       epatch "${FILESDIR}"/${P}-gcc43.patch \
+       epatch \
+               "${FILESDIR}"/${P}-gcc43.patch \
                "${FILESDIR}"/${P}-lGLU.patch
+       sed -i -e 's/^bindir=.*/bindir=@bindir@/' Makefile.am || die
        eautoreconf
 }
 
@@ -32,9 +34,6 @@ src_configure() {
 }
 
 src_install() {
-       emake \
-               DESTDIR="${D}" \
-               bindir="${GAMES_BINDIR}" install
-       dodoc AUTHORS NEWS README TODO
+       default
        prepgamesdirs
 }

Reply via email to